Subject: change Proposal for RFC2002bis- RE: [mobile-ip] RFC2002bis interp retation question

From: George Tsirtsis <[email-masked]>
Date: Fri, 8 Feb 2002 06:41:16 -0500

So my question to this group is still the same.

Mobile IPv4 has 3 modes of operation. 
- 1. using CoAs, registration via FA
- 2. using collocated addresses, registration directly to HA
- 3. using collocated addresses, registration via FA (Rbit)

According to current text an FA can be configured:

A. To support case 1 only, while case 2 is transparent to it (FA does not
care)
B. To support case 1 & 3.

Yet, the spec does not allow an FA to support case 3 ONLY; i.e.: send an FA
Advertisement with Rbit set and no CoA. This would allow the deployment of
lightweght FAs that do not have to do encapsulation/decapsulation but can
control access into the network. This is especially useful when the mobiles
are either slow moving or when link layer mobility enables Collocated
addresses to be valid for long periods of time. If the applicability is not
clear I could use 5min in Minneapolis to illustrate the use of this.

Regards

George

-----Original Message-----
From: Sivasundar Ramamurthy [mailto:[email-masked]]
Sent: Thursday, February 07, 2002 11:25 PM
To: Mobile-Ip (E-mail)
Subject: Re: [mobile-ip] RFC2002bis interpretation question

Hello,

On Tue, 5 Feb 2002, George Tsirtsis wrote:

> Hi all
> 
> I am trying to figure out how implementers have interpreted the Rbit part
of
> rfc2002. I have asked a few people privately and I do not get identical
> feedback so some discussion here maybe helpful. 
> 
> I remind you that if the Rbit is set in a Foreign Agent Advertisement the
> MIP client is required to register through the Foreign Agent even if it
has
> access to a collocated address...
> But what does that mean exactly?
> 1. Should the client register its Collocated care-of-address (and thus
> ignore the advertized CoA) but send the registration request to the FA and
> the FA forwards it to the HA?
> 2. Should the client register with the care-of-address advertised in the
> advertisement? If this is the case, can the mobile now also use a
collocated
> care of address as source address for some traffic??
> 
> Is one of the above the "correct" behavior? How does your MIP client
> implementation behave and what does your Foreign Agent implementation
> expect?
> 

I have not completely following the emails posted in this regard. So
please bear with me if this has already been mentioned. 

section 3.7.2.1 of rfc2002 bis8 indicates (indirectly) that the FA
could receive requests in which the D bit is set and the COA is not
one of its own, and that it should not reject these requests.

This would probably happen when a MN with a co-located COA
acknowledges the R bit in the advertisement and registers via the FA.

As far as the FA goes, it looks like it should be able to handle
both types of behaviour. Of course, behaviour #2 would appear to the
FA like a "regular" reg request.

Siva